Package org.apache.qpid.proton.engine.impl

# Interface TransportInput

All Known Subinterfaces:
  `SslTransportWrapper`, `TransportWrapper`

All Known Implementing Classes:
  `HandshakeSniffingTransportWrapper`, `PlainTransportWrapper`, `SimpleSslTransportWrapper`, `SslHandshakeSniffingTransportWrapper`

public interface TransportInput

## Method Summary

Modifier and Type
Method
Description
`int`
`capacity()`
`void`
`close_tail()`
`int`
`position()`
`void`
`process()`
`ByteBuffer`
`tail()`

## Method Details

### capacity

int capacity()

### position

int position()

### tail

ByteBuffer tail() throws TransportException

Throws:
  `TransportException`

### process

void process() throws TransportException

Throws:
  `TransportException`

### close_tail

void close_tail()